#
# spec file for package chrpath
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2024 Andreas Stieger <Andreas.Stieger@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           chrpath
Version:        0.17
Release:        1.3
Summary:        Modifies the dynamic library load path of compiled programs and libraries
License:        GPL-2.0-or-later
Group:          Development/Tools/Building
URL:            https://codeberg.org/pere/chrpath
Source:         https://codeberg.org/pere/chrpath/archive/release-%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake

%description
Chrpath allows you to modify the dynamic library load path (rpath and
runpath) of compiled programs. Currently, only removing and modifying the
rpath is supported. It cannot extend or add an rpath.

%prep
%autosetup -p1 -n %{name}

%build
autoreconf -fiv
%configure
%make_build

%install
%make_install doc_DATA=""

%check
# %%make_build check

%files
%license COPYING AUTHORS
%doc ChangeLog NEWS README
%{_bindir}/chrpath
%{_mandir}/man1/chrpath.1%{?ext_man}

%changelog
* Sun May 12 2024 Andreas Stieger <andreas.stieger@gmx.de>
- Update to version 0.17:
  * Moved project to Codeberg
  * Fix lookup of string table
  * End stderr output with a newline
* Tue Mar 17 2020 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
* Sat Feb  6 2016 mpluskal@suse.com
- Shorten summary a bit
- Do not build tests
  * they are not executed during build
  * they fail anyway
- Small spec file cleanup with spec-cleaner
* Sun May  4 2014 i@marguerite.su
- update version 0.16
  * Fixed all minor bugs discovered by Coverity.
  * Updated config.sub and config.guess from the GNU project.
  * Mention new project mailing list in the documentation.
* Wed Oct  5 2011 uli@suse.com
- cross-build fix: use %%__cc, %%configure macros
* Fri Oct 27 2006 dmueller@suse.de
- don't build as root
* Thu Jul 20 2006 schwab@suse.de
- Don't call autoconf.
* Thu Feb  2 2006 jw@suse.de
- initial version 0.13
  used for fixing MainActor-5
